# Visualization
TKV3d
StdPrs

# StdPrs_WFDeflectionShape Class Reference

`#include <StdPrs_WFDeflectionShape.hxx>`

Inheritance diagram for StdPrs_WFDeflectionShape:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const TopoDS_Shape &aShape, const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT Handle_TopTools_HSequenceOfShape | PickCurve (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z, const Quantity_Length aDistance, const TopoDS_Shape &aShape, const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT Handle_TopTools_HSequenceOfShape | PickPatch (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z, const Quantity_Length aDistance, const TopoDS_Shape &aShape, const Handle(Prs3d_Drawer)&aDrawer)

## Member Function Documentation

static Standard_EXPORT void StdPrs_WFDeflectionShape::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const TopoDS_Shape & | aShape,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

void StdPrs_WFDeflectionShape::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFDeflectionShape::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFDeflectionShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

static Standard_EXPORT Handle_TopTools_HSequenceOfShape StdPrs_WFDeflectionShape::PickCurve | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z,
|  | const Quantity_Length | aDistance,
|  | const TopoDS_Shape & | aShape,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT Handle_TopTools_HSequenceOfShape StdPrs_WFDeflectionShape::PickPatch | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z,
|  | const Quantity_Length | aDistance,
|  | const TopoDS_Shape & | aShape,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

The documentation for this class was generated from the following file:

- StdPrs_WFDeflectionShape.hxx